OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Fog

Description

This module corresponds to section 3.10 (Fog) of the OpenGL 2.1 specs.

# Documentation

fog :: StateVar Capability

data FogMode

Constructors

Linear GLfloat GLfloat |
Exp GLfloat |
Exp2 GLfloat |

Instances

Eq FogMode |
Ord FogMode |
Show FogMode |

fogMode :: StateVar FogMode

fogColor :: StateVar (Color4 GLclampf)

fogIndex :: StateVar (Index1 GLint)

data FogCoordSrc

Constructors

FogCoord |
FragmentDepth |

Instances

Eq FogCoordSrc |
Ord FogCoordSrc |
Show FogCoordSrc |

fogCoordSrc :: StateVar FogCoordSrc

data FogDistanceMode

Constructors

EyeRadial |
EyePlaneSigned |
EyePlaneAbsolute |

Instances

Eq FogDistanceMode |
Ord FogDistanceMode |
Show FogDistanceMode |

fogDistanceMode :: StateVar FogDistanceMode